<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVersion Method (IEdmEnumeratorVersion5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVersion5 Interface : GetVersion Method (IEdmEnumeratorVersion5)

Visual Basic
C#
C++/CLI

lVersionNo
  Number of version to get

Gets a version object with the specified version number.

# Syntax

Visual Basic |
--- | ---

    Function GetVersion( _
       ByVal lVersionNo As System.Integer _
    ) As IEdmVersion5

C# |
--- | ---

    IEdmVersion5 GetVersion(
       System.int lVersionNo
    )

C++/CLI |
--- | ---

    IEdmVersion5^ GetVersion(
    &   System.int lVersionNo
    )

#### Parameters

lVersionNo
  Number of version to get

#### Return Value

IEdmVersion5

# Example

Get Revision Names for Local Version of File (C#)
Get Revision Names for Local Version of File (VB.NET)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_REVISION_NUMBER: The version number is invalid.

# See Also

####

IEdmEnumeratorVersion5 Interface
IEdmEnumeratorVersion5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2